Package com.documentum.fc.client.search

# Interface IDfOrderConstraint

public interface IDfOrderConstraint
Interface used to express a sorting constraint on query results. The sorting is related to a specific attribute and can be either in ascending or descending order. These constraints will not be taken into account by external sources and search complex object feature.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttributeName()`
  Return the name of the attribute used to sort the results list.
  `Locale`
  `getLocale()`
  Return the locale to use in sort for this attribute.
  `String`
  `getType()`
  Return the type of this attribute.
  `boolean`
  `isAscending()`
  Indicate if the results list is sorted in ascending or descending order.
  `boolean`
  `isASCII()`
  Indicate if the results list is sorted using ASCII order on this attribute.

- ## Method Details

  - ### getAttributeName

    String getAttributeName()
    Return the name of the attribute used to sort the results list.
    Returns:
      name of the sorting attribute.

  - ### getLocale

    Locale getLocale()
    Return the locale to use in sort for this attribute.
    Returns:
      the locale to use in sort or null if not set.

  - ### isAscending

    boolean isAscending()
    Indicate if the results list is sorted in ascending or descending order.
    Returns:
      true if the sorting is done in ascending order.

  - ### isASCII

    boolean isASCII()
    Indicate if the results list is sorted using ASCII order on this attribute. If true the locale of this IDfOrderConstraint returned by `getLocale()` is ignored.
    Returns:
      true if the sort uses ASCII order.

  - ### getType

    String getType()
    Return the type of this attribute. The return value may be XMLQueryConstants.ATTR_EXPR_DATA_TYPE_STRING, XMLQueryConstants.ATTR_EXPR_DATA_TYPE_INTEGER or XMLQueryConstants.ATTR_EXPR_DATA_TYPE_DOUBLE. Type is only supported by xQuery and will be ignored in DQL queries. Type is required ONLY when you need to order by a string field as integer or double.
    Returns:
      the type of this attribute.